Car_Seat_Cover_Configurator-Laravel/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('privacy_policy', function () {
    return view('pages.privacy.privacy_policy');
});

Route::get('/view-my-configuration/{id}', 'Main\ViewConfigurationController@view');
Route::get('/view-my-em-configuration/{id}', 'Main\ViewConfigurationController@viewEmbroideryOrder');

Auth::routes();
Route::get('/unverified', 'HomeController@unverified')->name('unverified');

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('/import/brands', 'ImportController@import_brands');
    Route::get('/import/cars', 'ImportController@import_cars');
    Route::get('/view/cars', 'ImportController@view_cars');
    Route::get('/rename/duplicates', 'ImportController@rename_duplicates');
    Route::get('/remove/duplicates', 'ImportController@remove_duplicates');
    Route::get('/import/years_layouts', 'ImportController@import_years_layouts');
    Route::get('/import/trigger_brands', 'ImportController@trigger_brands');
    Route::get('/import/trigger_cars', 'ImportController@trigger_cars');
    Route::get('/import/trigger_years_layouts', 'ImportController@trigger_years_layouts');
    Route::get('/import/trigger_layout_images', 'ImportController@trigger_layout_images');
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/passport', 'Api\ApiController@index')->name('api');
    Route::get('/orders', 'Main\OrderController@orders')->name('orders');
    Route::get('/orders/{id}', 'Main\OrderController@order');
    Route::get('/configurations', 'Main\ConfigurationController@configurations')->name('configurations');

    //uae
    Route::get('/view_all_layouts', 'Main\WellfitLayoutController@index');
    Route::get('/view_all_car_models', 'Main\WellfitLayoutController@carModels');

    Route::resource('users', 'Main\UserController');

    Route::match(['put', 'patch'], '/quick_car_model_edit','Main\WellfitLayoutController@updateCarModel');
    Route::match(['put', 'patch'], '/change_password/{id}','Main\UserController@change_password');


    Route::post('/logout_all', 'Main\UserController@logoutAll');


    Route::resource('manufacturers', 'Data\ManufacturerController');
    Route::resource('manufacturers.cars', 'Data\CarController');
    Route::resource('cars', 'Data\CarController');
    Route::resource('cars.models', 'Data\CarModelController');
    Route::resource('models', 'Data\CarModelController');
    Route::resource('models.seats', 'Data\SeatController');
    Route::resource('seats', 'Data\SeatController');
    Route::resource('models.layouts', 'Data\LayoutController');
    Route::resource('layouts', 'Data\LayoutController');
    Route::resource('layout_image', 'Data\LayoutImageController');
    Route::resource('layout_design', 'Data\LayoutDesignController');
    Route::resource('seats.configuration', 'Main\ConfigurationController');
    Route::resource('seats.base', 'Configuration\BaseController');
    Route::resource('seats.original_image', 'Configuration\OriginalImageController');
    Route::resource('seats.layer', 'Configuration\LayerController');
    Route::resource('layer', 'Configuration\LayerController');
    Route::resource('layer.variant', 'Configuration\VariantController');
    Route::resource('variant', 'Configuration\VariantController');
    Route::resource('materials', 'Data\MaterialController');
    Route::resource('colour_categories', 'Data\ColourCategoryController');
    Route::resource('companies', 'Data\CompanyController');
    Route::resource('colour_categories.colours', 'Data\ColourController');
    Route::resource('colours', 'Data\ColourController');
    Route::resource('gallery_categories', 'Data\GalleryCategoryController');
    Route::resource('gallery_categories.galleries', 'Data\GalleryController');
    Route::resource('galleries', 'Data\GalleryController');
    Route::resource('patterns', 'Data\PatternController');


    Route::post('/car_model_layouts', 'Data\GalleryController@carModelLayouts');
    Route::post('/car_brand_models', 'Data\GalleryController@carBrandModels');

    Route::get('/embroidery_orders', 'Main\OrderController@embroideryOrders')->name('embroidery_orders');
    Route::get('/embroidery_orders/{id}', 'Main\OrderController@embroideryOrder');



    Route::resource('seats.seat_photos', 'Data\SeatPhotoController');

    Route::resource('price_ranges', 'Data\PriceRangeController');

    Route::post('/models/{id}/seats/existing', 'Data\SeatController@storeExisting');

    Route::delete('/delete_seats/{id}/', 'Data\SeatController@deleteSeat');

    Route::match(['put', 'patch'], '/orders/update/{id}','Main\OrderController@update');
    Route::match(['put', 'patch'], '/embroidery_orders/update/{id}','Main\OrderController@updateEmbroidery');




    Route::get('/import_car_model_year', 'ImportController@import_car_model_year');
    Route::get('/import_seat_layout', 'ImportController@import_seat_layout');
    Route::get('/check_image_path', 'ImportController@check_image_path');
    Route::get('/check_image_path_order', 'ImportController@check_image_path_order');
    Route::get('/layout_price', 'ImportController@layout_price');




  // New Import UAE
Route::get('/trigger_brands', 'NewImportController@trigger_brands');
Route::get('/trigger_cars', 'NewImportController@trigger_cars');
Route::get('/trigger_car_models', 'NewImportController@trigger_car_models');
Route::get('/trigger_layouts', 'NewImportController@trigger_layouts');
Route::get('/trigger_layout_images', 'NewImportController@trigger_layout_images');
Route::get('/testing_query', 'NewImportController@testing_query');

});

Car_Seat_Cover_Configurator-Laravel/app/Models/Colour.php
<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Colour extends Model
{
    use SoftDeletes;
    protected $appends = ['colour_image'];
    public function createdOn()
    {
        return date('j M Y, h:i A', strtotime($this->created_at));
    }
    public function updatedOn()
    {
        return date('j M Y, h:i A', strtotime($this->updated_at));
    }
    public function updatedBy()
    {
        if($this->user_id) return User::findOrFail($this->user_id)->name." | ".User::findOrFail($this->user_id)->role_name;
        return "";
    }


    public function colour_category()
    {
        return $this->belongsTo('App\Models\ColourCategory');
    }

    public function getColourImageAttribute()
    {
        if(env('APP_ENV')=='development')
        {
            return env('APP_URL').'/storage/'.$this->image;
        }
        else
        {
            $json = @file_get_contents(env('APP_URL').'/storage/'.$this->image, true);
            if($json === false) {
                return env('APP_URL').'/images/Image-Not-Available.png';
            } else {
                return env('APP_URL').'/storage/'.$this->image;
            }
        }
    }
}

Car_Seat_Cover_Configurator-Laravel/app/Http/Controllers/Data/ColourController.php
<?php

namespace App\Http\Controllers\Data;

use App\Models\Colour;
use App\Models\ColourCategory;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Validator;
use Storage;
use Illuminate\Support\Facades\Input;

class ColourController extends Controller
{
    public function index($colour_category_id)
    {
        $colours = Colour::orderby('name')->where('colour_category_id', $colour_category_id)->get();
        $colour_category = ColourCategory::findOrFail($colour_category_id);
        return view('pages.colour.partials.list',compact('colours','colour_category'));
    }
    public function create($colour_category_id)
    {
        $colour_category = ColourCategory::findOrFail($colour_category_id);
        if(!auth()->user()->hasRole('wellfit_data_manager')) return view('pages.errors.no_permission');
        return view('pages.colour.partials.add-colour', compact('colour_category'));
    }
    public function edit($id)
    {
        if(!auth()->user()->hasRole('wellfit_data_manager')) return view('pages.errors.no_permission');
         $colour = Colour::find($id);
        $colour_category = $colour->colour_category;
        return view('pages.colour.partials.edit-colour',compact('colour', 'colour_category'));
    }

    public function store(Request $request, $colour_category_id)
    {
        Validator::make($request->all(), [
            'name' => 'required',
            'image' => 'required|mimes:jpeg,bmp,png|max:10240',
        ])->validate();

        $path = $request->file('image')->store('public/colours');
        $colour = new Colour();
        $colour->name = $request->name;
        $colour->code = $request->code;
        $colour->colour_category_id = $colour_category_id;
        $colour->user_id = auth()->id();
        $colour->image = str_replace("public/","",$path);
        $colour->save();

        return back()->with('status', 'Colour Added!');
    }
    public function update($id)
    {
        Validator::make(Input::all(), [
            'name' => 'required',
            'image' => 'mimes:jpeg,bmp,png|max:10240',
        ])->validate();
        if(Input::file('image')) $path = Input::file('image')->store('public/colours');
        $colour = Colour::find($id);
        $colour->name = Input::get('name');
        $colour->code = Input::get('code');
        $colour->user_id = auth()->id();
        if(Input::file('image'))  $colour->image = str_replace("public/","",$path);
        $colour->save();

        // redirect
        // Session::flash('message', 'Successfully updated nerd!');
        return back()->with('status', 'Colour Modified!');
    }
    public function destroy($id)
    {
        // delete
        $colour = Colour::find($id);
        $colour_category_id = $colour->colour_category_id;
        $colour->delete();

        // redirect
        return redirect('colour_categories/'.$colour_category_id.'/colours/')->with('status', 'Colour Deleted!');
    }
    public function getColours(Request $request)
    {

        return   $colour_categories = ColourCategory::orderBy('name', 'asc')
            ->with('colours')
            ->paginate(36);

    }
}

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/colour/partials/add-colour.blade.php
@extends('pages.colour.home')

@section('sub-content')
	<div class="row">
    <div class="col-md-6">
		{!! Form::open(['route' => ['colour_categories.colours.store',$colour_category->id], 'enctype' => 'multipart/form-data','class' => 'form-horizontal']) !!}
		  <div class="form-group">
		    <label for="Manufacturer Name" class="col-sm-2 control-label">Name</label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" name="name" placeholder="Colour Name">
		    </div>
		  </div>
		<div class="form-group">
			<label for="Manufacturer Name" class="col-sm-2 control-label">Code</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="code" placeholder="Colour Code">
			</div>
		</div>
		  <div class="form-group">
		    <label for="Manufacturer Logo" class="col-sm-2 control-label">Image</label>
		    <div class="col-sm-10">
		      <input type="file" name="image" class="form-control">
		    </div>
		  </div>
		  <div class="form-group">
		    <div class="col-sm-offset-2 col-sm-10">
		      <button type="submit" class="btn btn-primary pull-right">Add</button>
		    </div>
		  </div>
		{!! Form::close() !!}
	</div>
	</div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/colour/partials/edit-colour.blade.php
@extends('pages.colour.home')

@section('sub-content')
	<div class="row">
    <div class="col-md-8">
		{!! Form::open(['route' => array('colours.update', $colour->id), 'enctype' => 'multipart/form-data','class' => 'form-horizontal','method' => 'PUT']) !!}
		{{--{!! Form::open(array('route' => array('colours.update', $colour->id),'class' => 'form-horizontal','novalidate'=> 'novalidate','files' => true)) !!}--}}
		  <div class="form-group">
		    <label for="Manufacturer Name" class="col-sm-2 control-label">Name</label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" name="name" placeholder="Colour Name" value="{{$colour->name}}">
		    </div>
		  </div>
		<div class="form-group">
			<label for="Manufacturer Name" class="col-sm-2 control-label">Code</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="code" placeholder="Colour Code" value="{{$colour->code}}">
			</div>
		</div>
		  <div class="form-group">
		    <label for="Manufacturer Logo" class="col-sm-2 control-label">Image</label>
		    <div class="col-sm-10">
				<img src="{{ $colour->colour_image }}">
		      <input type="file" name="image" class="form-control">
		    </div>
		  </div>
		  <div class="form-group">
		    <div class="col-sm-offset-2 col-sm-10">
		      <button type="submit" class="btn btn-primary pull-right">Update</button>
		    </div>
		  </div>
		{!! Form::close() !!}
	</div>
		<div class="col-md-4 text-right">

		</div>
		<div class="col-md-4">
			<table class="table table-striped">
				<tr>
					<td> Created On</td>
					<td>{{ $colour->createdOn() }}</td>
				</tr>
				<tr>
					<td> Last Updated On</td>
					<td>{{ $colour->updatedOn() }}</td>
				</tr>
				<tr>
					<td> Last Updated By</td>
					<td class="text-capitalize">{{ $colour->updatedBy() }}</td>
				</tr>
				<tr>
					<td> Action</td>
					<td class="delete-form">
						@if(auth()->user()->hasRole('wellfit_data_manager'))
								{{ Form::open(array('url' => 'colours/'.$colour->id, 'style' => 'display:inline-block;')) }}
								{{ Form::hidden('_method', 'DELETE') }}
								{{ Form::submit('Delete', array('class' => 'btn btn-danger','onclick'=>"return confirm('Are you sure ?');")) }}
								{{ Form::close() }}

						@endif
					</td>
				</tr>
			</table>
		</div>


	</div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/colour/partials/list.blade.php
@extends('pages.colour.home')

@section('sub-content')
	<div class="row conf-container">
	  @foreach($colours as $colour)
			<div class="col-sm-2 home-card">
					<div class="thumbnail">
						<div class="caption text-center">
							<div class="position-relative  brand-card">
								<img src="{{$colour->colour_image}}" class="img-responsive">
							</div>
							<p><span class="badge badge-warning">{{$colour->name}}</span></p>
							<p><span class="badge badge-warning">{{$colour->code}}</span></p>
						</div>
						@if(auth()->user()->hasRole('wellfit_data_manager'))
						<p class="text-center z-index">
							<a href="{{route('colours.edit',$colour->id)}}"><button class="btn btn-sm btn-primary">Edit</button></a>
						</p>
							@endif
					</div>
			</div>
	  @endforeach
	</div>
@endsection